## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor
Class ASATableSchemaEditorPage

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
                      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
                          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.ASATableSchemaEditorPage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, ISchemaObjectEditorModelListener, IDisablementPart, ISchemaObjectEditorPage, org.eclipse.help.IContextProvider, org.eclipse.ui.forms.editor.IFormPage, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

Direct Known Subclasses:
  ASAColumnsEditorPage, ASAConstraintsEditorPage, ASAPrivilegesEditorPage, ASAStorageEditorPage

    public class ASATableSchemaEditorPage

extends SchemaObjectEditorPage
implements ISchemaObjectEditorModelListener

Super class for ASA table schema editor pages

Author:
  Idull

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
`SchemaObjectEditorPage.PageForm`

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`UNKNOWN_ITEM_TYPE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`ASATableSchemaEditorPage()`
`ASATableSchemaEditorPage(org.eclipse.ui.forms.editor.FormEditor editor, java.lang.String id, java.lang.String title)`
`ASATableSchemaEditorPage(java.lang.String id, java.lang.String title)`

Method Summary
`SchemaObjectEditorModelListenersNotifier` `getPagesNotifier()` Shortcut method to return the notifier
`void` `modelRegenerated()` Do something when the model is re-generated, for example, after successfully saving the dirty editor, the edit model will be re-cloned from the refreshed database model, in this case, page should be refreshed to keep it synchronized with database
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification msg)` Subclass should override this method to act properly when the model change event comes
`void` `refresh()` Sub class should override this method to refresh the page according to the model and if this page is not opened, should not refresh it
`void` `validateAndShowErrorsAfterPopulating(org.eclipse.swt.events.TypedEvent event)`
`IErrorItem[]` `validateOnline(org.eclipse.swt.events.TypedEvent event)` Online check if the page is valid

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage

`aboutToSave, canLeaveThePage, createPartControl, dispose, doSave, doSaveAs, enable, getDatabaseIdentifier, getEditor, getEditorDescriptor, getErrorMsg, getId, getIndex, getManagedForm, getPageDescriptor, getPartControl, getPreferencePageIds, getTitleImage, init, initialize, isActive, isDirty, isEditor, isPageOpened, isSaveAsAllowed, markDirty, menuAboutToShow, populateSQLObjects, revert, selectReveal, setActive, setEditor, setEditorDescriptor, setFocus, setFocus, setId, setIndex, setPageDescriptor, setPartName, validate, validateAndShowErrors`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Constructor Detail

### ASATableSchemaEditorPage

    public ASATableSchemaEditorPage()

### ASATableSchemaEditorPage

    public ASATableSchemaEditorPage(org.eclipse.ui.forms.editor.FormEditor editor,
                                    java.lang.String id,
                                    java.lang.String title)

### ASATableSchemaEditorPage

    public ASATableSchemaEditorPage(java.lang.String id,
                                    java.lang.String title)

Method Detail

### validateAndShowErrorsAfterPopulating

    public void validateAndShowErrorsAfterPopulating(org.eclipse.swt.events.TypedEvent event)

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification msg)

  Subclass should override this method to act properly when the model change event comes

  Specified by:
    `notifyChanged` in interface `ISchemaObjectEditorModelListener`
  Parameters:
    `msg` - the notification

### getPagesNotifier

    public SchemaObjectEditorModelListenersNotifier getPagesNotifier()

  Shortcut method to return the notifier

  Returns:

### refresh

    public void refresh()

  Description copied from class: `SchemaObjectEditorPage`
  Sub class should override this method to refresh the page according to the model and if this page is not opened, should not refresh it

  Specified by:
    `refresh` in interface `ISchemaObjectEditorPage`
  Overrides:
    `refresh` in class `SchemaObjectEditorPage`

### modelRegenerated

    public void modelRegenerated()

  Description copied from interface: `ISchemaObjectEditorPage`
  Do something when the model is re-generated, for example, after successfully saving the dirty editor, the edit model will be re-cloned from the refreshed database model, in this case, page should be refreshed to keep it synchronized with database

  Specified by:
    `modelRegenerated` in interface `ISchemaObjectEditorPage`
  Overrides:
    `modelRegenerated` in class `SchemaObjectEditorPage`

### validateOnline

    public IErrorItem[] validateOnline(org.eclipse.swt.events.TypedEvent event)

  Description copied from interface: `ISchemaObjectEditorPage`
  Online check if the page is valid

  Specified by:
    `validateOnline` in interface `ISchemaObjectEditorPage`
  Overrides:
    `validateOnline` in class `SchemaObjectEditorPage`
  Returns:
    the error items if this page is not valid, otherwise return `null`